SVNKit Home

## org.tmatesoft.svn.core
Class SVNLogEntryPath

    java.lang.Object
      org.tmatesoft.svn.core.SVNLogEntryPath

All Implemented Interfaces:
  Serializable

public class SVNLogEntryPath
extends Object
implements Serializable

The SVNLogEntryPath class encapsulates information about a single item changed in a revision. This information includes an item's path, a type of the changes made to the item, and if the item is a copy of another one - information about the item's ancestor.

SVNLogEntryPath objects are held by an SVNLogEntry object - they are representations of all the changed paths in the revision represented by that SVNLogEntry object.

Version:
  1.1.1
Author:
  TMate Software Ltd.
See Also:
  `SVNLogEntry`, Serialized Form

Field Summary
`static char` `TYPE_ADDED` Char 'A' (item added).
`static char` `TYPE_DELETED` Char 'D' (item deleted).
`static char` `TYPE_MODIFIED` Char 'M' (item modified).
`static char` `TYPE_REPLACED` Char 'R' (item replaced).

Constructor Summary
`SVNLogEntryPath(String path, char type, String copyPath, long copyRevision)` Constructs an SVNLogEntryPath object.

Method Summary
`boolean` `equals(Object obj)` Compares this object with another one.
`String` `getCopyPath()` Returns the path of the ancestor of the item represented by this object.
`long` `getCopyRevision()` Returns the revision of the ancestor of the item represented by this object.
`String` `getPath()` Returns the path of the item represented by this object.
`char` `getType()` Gets the type of the change applied to the item represented by this object.
`int` `hashCode()` Calculates and returns a hash code for this object.
`protected void` `setChangeType(char type)`
`protected void` `setCopyPath(String path)`
`protected void` `setCopyRevision(long revision)`
`void` `setPath(String path)` Sets the path of the item represented by this object.
`String` `toString()` Gives a string representation of this oobject.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_ADDED

    public static final char TYPE_ADDED

  Char 'A' (item added).

  See Also:
    Constant Field Values

### TYPE_DELETED

    public static final char TYPE_DELETED

  Char 'D' (item deleted).

  See Also:
    Constant Field Values

### TYPE_MODIFIED

    public static final char TYPE_MODIFIED

  Char 'M' (item modified).

  See Also:
    Constant Field Values

### TYPE_REPLACED

    public static final char TYPE_REPLACED

  Char 'R' (item replaced).

  See Also:
    Constant Field Values

Constructor Detail

### SVNLogEntryPath

    public SVNLogEntryPath(String path,
                           char type,
                           String copyPath,
                           long copyRevision)

  Constructs an SVNLogEntryPath object.

  Use char constants of this class as a change `type` to pass to this constructor.

Parameters:
  `path` - a path that was changed in a revision
  `type` - a type of the path change; it can be one of the following: 'M' - Modified, 'A' - Added, 'D' - Deleted, 'R' - Replaced
  `copyPath` - the path of the ancestor of the item represented by `path` (in that case if `path` was copied), or null if `path`
  `copyRevision` - the ancestor's revision if the `path` is a branch, or -1 if not

Method Detail

### getCopyPath

    public String getCopyPath()

  Returns the path of the ancestor of the item represented by this object.

  Returns:
    the origin path from where the item, represented by this object, was copied, or null if it wasn't copied

### getCopyRevision

    public long getCopyRevision()

  Returns the revision of the ancestor of the item represented by this object.

  Returns:
    the revision of the origin path from where the item, represented by this object, was copied, or -1 if the item was not copied

### getPath

    public String getPath()

  Returns the path of the item represented by this object.

  Returns:
    the changed path represented by this object

### getType

    public char getType()

  Gets the type of the change applied to the item represented by this object. This type can be one of the following: 'M' - Modified, 'A' - Added, 'D' - Deleted, 'R' - Replaced (what means that the object is first deleted, then another object of the same name is added, all within a single revision).

  Returns:
    a type of the change as a char label

### setPath

    public void setPath(String path)

  Sets the path of the item represented by this object.

  Parameters:
    `path` - a path of an item that was changed (regarding a definite revision)

### setChangeType

    protected void setChangeType(char type)

### setCopyRevision

    protected void setCopyRevision(long revision)

### setCopyPath

    protected void setCopyPath(String path)

### hashCode

    public int hashCode()

  Calculates and returns a hash code for this object.

  Returns:
    a hash code

### equals

    public boolean equals(Object obj)

  Compares this object with another one.

  Parameters:
    `obj` - an object to compare with
  Returns:
    true if this object is the same as the `obj` argument

### toString

    public String toString()

  Gives a string representation of this oobject.

  Returns:
    a string representing this object

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.